> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tool

> Update an existing tool.



## OpenAPI

````yaml /openapi-v1.json put /api/v1/tools/{tool_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/tools/{tool_id}:
    put:
      tags:
        - Tools
      summary: Update Tool
      description: Update an existing tool.
      operationId: core_api_v1_controllers_tools_update_tool
      parameters:
        - in: path
          name: tool_id
          schema:
            title: Tool Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ToolUpdateIn'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    ToolUpdateIn:
      description: Schema for updating a tool via the v1 API.
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tool_type_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Type Id
        secret_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret Key
        additional_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Additional Info
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
        input_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Input Schema
        sources_restrictions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sources Restrictions
        strict_mode:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Strict Mode
        forward_user_auth:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Forward User Auth
        admin_tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Admin Tags
        required_permissions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Required Permissions
      title: ToolUpdateIn
      type: object
    ToolOut:
      description: Response schema for tools.
      properties:
        object:
          default: tool
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tool_type:
          anyOf:
            - $ref: '#/components/schemas/ToolTypeOut'
            - type: 'null'
        additional_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Additional Info
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
        input_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Input Schema
        strict_mode:
          default: false
          title: Strict Mode
          type: boolean
        forward_user_auth:
          default: false
          title: Forward User Auth
          type: boolean
        sources_restrictions:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Sources Restrictions
          type: array
        admin_tags:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Admin Tags
          type: array
        required_permissions:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Required Permissions
          type: array
      required:
        - id
        - name
      title: ToolOut
      type: object
    ToolTypeOut:
      description: Response schema for tool types.
      properties:
        object:
          default: tool_type
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        class_name:
          title: Class Name
          type: string
        additional_info_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Additional Info Schema
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
      required:
        - id
        - name
        - class_name
      title: ToolTypeOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````